#pragma once
#include "afxwin.h"
#include "massnahme.h"
#include "art.h"
#include "ergebnis.h"
#include "datenbank.h"
#include <vector>

// massnahmen_wirksamkeit dialog

class massnahmen_wirksamkeit: public CDialog
{
    DECLARE_DYNAMIC (massnahmen_wirksamkeit)

public:
    massnahmen_wirksamkeit( CWnd* pParent = NULL); // standard constructor
    virtual ~massnahmen_wirksamkeit();

// Dialog Data
    enum
    {
        IDD = IDD_Wirksamkeit
    };

protected:
    virtual void DoDataExchange( CDataExchange* pDX); // DDX/DDV support

    DECLARE_MESSAGE_MAP()
public:
    datenbank* daten;
    BOOL OnInitDialog();
    void getdata();
    vector< ergebnis*> neueliste( vector< ergebnis*> eliste, massnahme m);

    struct pixelqual
    {
        int pixel_i;
        int pixel_j;
        double aqual;
    };
    vector< pixelqual> pq;
    //struct artenanzahl{CString artname;int zaehler;};
    struct artenanzahl
    {
        CString artname;
        vector< pixelqual> pq;
        int zaehler;
    };
    CMultiDocTemplate *m_pTemplateI;
    massnahme** massnahmenliste;
    vector< massnahme> mliste;
    vector< double> minqualitaet;
    vector< art*> artliste;
    vector< int> pixel_pro_massnahme;
    vector< vector< modell::masspixelergeb>> massnahmenergebvector;
    string name, savetime;
    massnahme m;afx_msg
    void OnCbnSelchangeMassnahmenart();afx_msg
    void OnCbnSelchangeMassnahmenstart();afx_msg
    void OnCbnSelchangeMassnahmenabstand();afx_msg
    void OnCbnSelchangeComboArt();afx_msg
    void OnCbnSelchangeMassnahmengv();afx_msg
    void OnCbnSelchangeComboartnamen();afx_msg
    void OnCbnSelchangeComboartnamenlatein();afx_msg
    void OnCbnSelchangeComboartsavetime();afx_msg
    void OnBnClickedButton1();afx_msg
    void OnBnClickedVis();afx_msg
    void OnBnClickedSpeichern();
    CButton m_visualisieren;
    CButton m_speichern;afx_msg
    void OnBnClickedButtonoptimierung();afx_msg
    void OnBnClickedEinlesen();afx_msg
    void OnVScroll( UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);afx_msg
    void OnSize( UINT nType, int cx, int cy);
    int m_nCurHeight;
    int m_nScrollPos;
    CRect m_rect;

    CListBox m_liste_gmassnahme;
    CEdit m_gart;
    CEdit m_qualitaet;
    CListBox m_listegarten;
    CListBox m_liste_qualitaet;
    CListBox m_liste_ergebnis;

    CComboBox m_massnahmenart;
    CComboBox m_massnahmenstart;
    CComboBox m_massnahmenabstand;
    CComboBox m_massnahmeGV;
    CString namemassnahme;
    CString namenartlatein;
    CString nameart;
    bool artg;
    int mv1massnahme;
    int abstand2massnahme;
	int abstand3massnahme;
    bool duengung_gewaehlt;
    bool duengung;
    bool streifenmahd;
    int massnahmeID;
    double zahlung;
    double grossvieheinheit;
    bool gvgewaehlt;
    bool tierartgewaehlt;
    int tierart;
    CComboBox m_massnahmetierart;
    CButton m_d_ja;
    CButton m_d_nein;
    CComboBox m_arten_name;
    CComboBox m_arten_namenlatein;
    CComboBox m_arten_savetime;afx_msg
    void OnBnClickedDuengungja();afx_msg
    void OnBnClickedDuengungnein();afx_msg
    void OnBnClickedOk();afx_msg
    void OnBnClickedCancel2();
    int bundeslandID;
    bool blandgew;
    CComboBox m_bundesland;afx_msg
    void OnCbnSelchangeBundesland();afx_msg
    HBRUSH OnCtlColor( CDC* pDC, CWnd* pWnd, UINT nCtlColor);
    CBrush m_brush;afx_msg
    void OnBnClickedMahd();
    CButton m_alle_mahd;afx_msg
    void OnBnClickedWeide();
    CButton m_alle_weide;
    CButton m_alle;
    CButton hohe_ges;
    CButton hoehe_hoch;
    CButton hoehe_tief;
    bool hoch;
    bool egal;
    bool hochgew;
    CEdit transaktionskosten;afx_msg
    void OnLbnDblclkListgewmassnahmen();afx_msg
    void OnLbnDblclkListgewarten();afx_msg
    void OnBnClickedAllemassnahmen();
	afx_msg void OnCbnSelchangeMassnahmenabstand4();
	CComboBox massnahmenabstand3;
	afx_msg void OnBnClickedButtonerasemeasures();
};
